AMQPQueue::getName
AMQPQueue::purge
AMQPQueue
PHP Manual

# AMQPQueue::nack

Mark a message as explicitly not acknowledged.

### Description

public void AMQPQueue::nack ( string `$delivery_tag` [, string `$flags` = `AMQP_NOPARAM` ] )

Mark the message identified by `delivery_tag` as explicitly not acknowledged. This method can only be called on messages that have not yet been acknowledged, meaning that messages retrieved with by AMQPQueue::consume and AMQPQueue::get and using the `AMQP_AUTOACK` flag are not eligible.

When called, the broker will immediately put the message back onto the queue, instead of waiting until the connection is closed.

This method is only supported by the RabbitMQ broker. The behavior of calling this method while connected to any other broker is undefined.

### Parameters

`delivery_tag`

  The delivery tag by which to identify the message.

`flags`

  A bitmask of flags.

### Errors/Exceptions

Throws AMQPChannelException if the channel is not open.

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.